Subject: bug#71081: 30.0.50; shell-command-on-region outputs boilerplate text on Windows

From: Ihor Radchenko <[email-masked]>
Date: Mon, 20 May 2024 18:34:52 +0000

Hello,

On Linux, if I put

echo foo

into scratch, select it, and run M-x shell-command-on-region sh,
I get "foo" in echo area.

However, on Windows, the result of M-x shell-command-on-region cmdproxy is

Microsoft Windows [Version 10.0.19045.2251]
(c) Microsoft Corporation. All rights reserved.

c:\Users\johndoe\Org>echo foo
foo

I expected just "foo".

Original bug report:
https://list.orgmode.org/orgmode/[email-masked]/

AFAIU, the culprit is how cmdproxy handles piped input:

cmdproxy -c 'echo foo' works fine, outputting "foo".
However (in powershell) echo 'echo foo' | cmdproxy yields the above
verbose text - all in stdout.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>